#[doc(inline)]
pub use ability_library::AbilityLibrary;
#[doc(inline)]
pub use data_library::DataLibrary;
#[doc(inline)]
pub use growth_rate_library::GrowthRateLibrary;
#[doc(inline)]
pub use item_library::ItemLibrary;
#[doc(inline)]
pub use library_settings::LibrarySettings;
#[doc(inline)]
pub use move_library::MoveLibrary;
#[doc(inline)]
pub use species_library::SpeciesLibrary;
#[doc(inline)]
pub use static_data::StaticData;
#[doc(inline)]
pub use type_library::*;

/// The library data for abilities.
mod ability_library;
/// Basic helper trait for libraries.
mod data_library;
/// The library data for groth rates.
mod growth_rate_library;
/// The library data for items.
mod item_library;
/// The library data for misc settings.
mod library_settings;
/// The library data for moves.
mod move_library;
/// The library data for species.
mod species_library;
/// The combination of all libraries.
pub(crate) mod static_data;
/// The library data for types.
mod type_library;
